Bug 1372126 - [abrt] mutt: mx_check_mailbox(): mutt killed by SIGSEGV
Summary: [abrt] mutt: mx_check_mailbox(): mutt killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutt
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Mužila
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5a6552f87322abf33c06c818111...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-01 01:17 UTC by Marcos Paulo
Modified: 2016-10-20 20:22 UTC (History)
7 users (show)

Fixed In Version: mutt-1.7.1-1.fc25 mutt-1.7.1-1.fc23 mutt-1.7.1-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-14 05:00:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (15.26 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: cgroup (276 bytes, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: core_backtrace (1.00 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: dso_list (4.37 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: environ (3.09 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: exploitable (82 bytes, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: maps (20.52 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: mountinfo (3.23 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: open_fds (190 bytes, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details
File: var_log_messages (228 bytes, text/plain)
2016-09-01 01:18 UTC, Marcos Paulo
no flags Details

Description Marcos Paulo 2016-09-01 01:17:53 UTC
Version-Release number of selected component:
mutt-1.7.0-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        mutt
crash_function: mx_check_mailbox
executable:     /usr/bin/mutt
global_pid:     26098
kernel:         4.6.6-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 mx_check_mailbox at mx.c:1302
 #1 mutt_index_menu at curs_main.c:557

Comment 1 Marcos Paulo 2016-09-01 01:18:00 UTC
Created attachment 1196548 [details]
File: backtrace

Comment 2 Marcos Paulo 2016-09-01 01:18:02 UTC
Created attachment 1196549 [details]
File: cgroup

Comment 3 Marcos Paulo 2016-09-01 01:18:03 UTC
Created attachment 1196550 [details]
File: core_backtrace

Comment 4 Marcos Paulo 2016-09-01 01:18:05 UTC
Created attachment 1196551 [details]
File: dso_list

Comment 5 Marcos Paulo 2016-09-01 01:18:07 UTC
Created attachment 1196552 [details]
File: environ

Comment 6 Marcos Paulo 2016-09-01 01:18:09 UTC
Created attachment 1196553 [details]
File: exploitable

Comment 7 Marcos Paulo 2016-09-01 01:18:10 UTC
Created attachment 1196554 [details]
File: limits

Comment 8 Marcos Paulo 2016-09-01 01:18:12 UTC
Created attachment 1196555 [details]
File: maps

Comment 9 Marcos Paulo 2016-09-01 01:18:14 UTC
Created attachment 1196556 [details]
File: mountinfo

Comment 10 Marcos Paulo 2016-09-01 01:18:16 UTC
Created attachment 1196557 [details]
File: namespaces

Comment 11 Marcos Paulo 2016-09-01 01:18:17 UTC
Created attachment 1196558 [details]
File: open_fds

Comment 12 Marcos Paulo 2016-09-01 01:18:19 UTC
Created attachment 1196559 [details]
File: proc_pid_status

Comment 13 Marcos Paulo 2016-09-01 01:18:21 UTC
Created attachment 1196560 [details]
File: var_log_messages

Comment 14 Adam Huffman 2016-10-06 06:20:09 UTC
Looks like exactly the same crash I'm seeing.

(gdb) bt full
#0  0x00005555555aaeac in mx_check_mailbox (ctx=0x5555559a0a30, index_hint=0x7fffffffcd44) at mx.c:1302
No locals.
#1  0x0000555555581bc6 in mutt_index_menu () at curs_main.c:557
        check = <optimized out>
        buf = "-*-Mutt: =INBOX [Msgs:122071 New:2654 Old:95402 Flag:532 Post:6 2136M]---(date/date)", '-' <repeats 123 times>...
        helpstr = "q:Quit  d:Del  u:Undel  s:Save  m:Mail  r:Reply  g:Group  ?:Help\000\000\000\000\000\000\000\000P\327\372\367\377\177\000\000\062\000\000\000\000\000\000\000\314\035", '\000' <repeats 14 times>, "\b\000\000\000\000\000\000\000\b\000\000\000\000\000\000\000h\021]UUU\000\000\313\035\000\000\000\000\000\000(;\310\352\377\177\000\000\313\035\000\000\000\000\000\000N\324\003\366\377\177\000\000V\324\377\377\377\177\000\000\000\000\000\000\000\000\000\000\b\000\000\000\000\000\000\000 \325\377\377\377\177\000\000\001\000\000\000\000\000\000\000"...
        op = -1
        done = 0
        i = 0
        j = <optimized out>
        tag = 0
        newcount = 0
        oldcount = <optimized out>
        rc = <optimized out>
        menu = 0x55555f93a380
        cp = <optimized out>
        index_hint = 0
        do_buffy_notify = 1
        close = <optimized out>
        attach_msg = <optimized out>
#2  0x0000555555569814 in main (argc=1, argv=<optimized out>) at main.c:1228
        folder = "imaps://<username>@<server>/", '\000' <repeats 229 times>
        subject = 0x0
        includeFile = 0x0
        draftFile = 0x0
        newMagic = 0x0
        msg = 0x0
        attach = 0x0
        commands = 0x0
        queries = 0x0
        alias_queries = 0x0
        sendflags = 0
        flags = 0
        version = 0
        i = <optimized out>
        explicit_folder = 0
        dump_variables = 0
        edit_infile = 0
        double_dash = <optimized out>
        nargc = <optimized out>

Comment 15 Fedora Update System 2016-10-10 03:51:58 UTC
mutt-1.7.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-644b0d4dcf

Comment 16 Fedora Update System 2016-10-10 03:52:31 UTC
mutt-1.7.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f0e1988e3

Comment 17 Fedora Update System 2016-10-10 04:27:13 UTC
mutt-1.7.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a3e931a21

Comment 18 Fedora Update System 2016-10-14 05:00:50 UTC
mutt-1.7.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-10-20 16:20:35 UTC
mutt-1.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-20 20:22:18 UTC
mutt-1.7.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.